NSX-T Data Center REST API

Associated URIs:

API Description API Path

Clear SSH login banner


DELETE /api/v1/transport-nodes/{transport-node-id}/node/services/ssh?action=clear_banner
DELETE /api/v1/cluster/{cluster-node-id}/node/services/ssh?action=clear_banner
DELETE /api/v1/node/services/ssh?action=clear_banner

Read ssh service properties


GET /api/v1/transport-nodes/{transport-node-id}/node/services/ssh
GET /api/v1/cluster/{cluster-node-id}/node/services/ssh
GET /api/v1/node/services/ssh

Remove a host's fingerprint from known hosts file


POST /api/v1/transport-nodes/{transport-node-id}/node/services/ssh?action=remove_host_fingerprint
POST /api/v1/cluster/{cluster-node-id}/node/services/ssh?action=remove_host_fingerprint
POST /api/v1/node/services/ssh?action=remove_host_fingerprint

Restart, start or stop the ssh service


POST /api/v1/transport-nodes/{transport-node-id}/node/services/ssh?action=start
POST /api/v1/transport-nodes/{transport-node-id}/node/services/ssh?action=stop
POST /api/v1/transport-nodes/{transport-node-id}/node/services/ssh?action=restart
POST /api/v1/cluster/{cluster-node-id}/node/services/ssh?action=start
POST /api/v1/cluster/{cluster-node-id}/node/services/ssh?action=stop
POST /api/v1/cluster/{cluster-node-id}/node/services/ssh?action=restart
POST /api/v1/node/services/ssh?action=start
POST /api/v1/node/services/ssh?action=stop
POST /api/v1/node/services/ssh?action=restart

Update ssh service properties


Update ssh service properties. If the start_on_boot property is updated to
true, existing ssh sessions if any are stopped and the ssh service is
restarted.
If root_login is updated to false then SSH to the root is not permitted.
Banner should be formatted proprtly before sending into the request body.
"\n" can be used for multiline message.
PUT /api/v1/transport-nodes/{transport-node-id}/node/services/ssh
PUT /api/v1/cluster/{cluster-node-id}/node/services/ssh
PUT /api/v1/node/services/ssh

Restart, start or stop the ssh service


POST /api/v1/transport-nodes/{transport-node-id}/node/services/ssh/notify_mpa?action=start
POST /api/v1/transport-nodes/{transport-node-id}/node/services/ssh/notify_mpa?action=stop
POST /api/v1/transport-nodes/{transport-node-id}/node/services/ssh/notify_mpa?action=restart
POST /api/v1/cluster/{cluster-node-id}/node/services/ssh/notify_mpa?action=start
POST /api/v1/cluster/{cluster-node-id}/node/services/ssh/notify_mpa?action=stop
POST /api/v1/cluster/{cluster-node-id}/node/services/ssh/notify_mpa?action=restart
POST /api/v1/node/services/ssh/notify_mpa?action=start
POST /api/v1/node/services/ssh/notify_mpa?action=stop
POST /api/v1/node/services/ssh/notify_mpa?action=restart

Read ssh service status


GET /api/v1/transport-nodes/{transport-node-id}/node/services/ssh/status
GET /api/v1/cluster/{cluster-node-id}/node/services/ssh/status
GET /api/v1/node/services/ssh/status